Dokploy

Admin

POST
/admin.setupMonitoring

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Request Body

application/json

metricsConfig*

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/admin.setupMonitoring" \  -H "Content-Type: application/json" \  -d '{    "metricsConfig": {      "server": {        "refreshRate": 2,        "port": 1,        "token": "string",        "urlCallback": "http://example.com",        "retentionDays": 1,        "cronJob": "string",        "thresholds": {          "cpu": 0,          "memory": 0        }      },      "containers": {        "refreshRate": 2,        "services": {}      }    }  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}